Summary:        Run-time require of both modules and files
Name:           perl-Module-Load
Version:        0.36
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Load
Source0:        https://cpan.metacpan.org/modules/by-module/Module/Module-Load-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(File::Spec) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Config) perl(Data::Dumper) perl(Exporter) perl(lib)
BuildRequires:  perl(vars) perl(Test::More) >= 0.94

BuildArch:      noarch

%description
If you consult "perldoc -f require", the behavior of "require" will be different when given 
a bare-word or a string. In the case of a string, "require" assumes that you want to load a 
file. But in the case of a bare-word, it assumes that you are referring to modules.

Requiring modules dynamically at run time incurs serious overhead, so you will need to change 
the module representation to a platform-appropriate file representation.

"load" eliminates the need for this overhead and will just DWYM.

%prep
%autosetup -n Module-Load-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} '%{buildroot}'/*

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.36-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Guodong <gordonwwang@tencent.com> - 0.36-1
- package init.
